Skip to main content
POST
/
api
/
svc
/
v1
/
users
/
register
Register a user
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/users/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "user@example.com",
  "sendInviteEmail": false,
  "skipIfUserExists": false,
  "dryRun": false,
  "acceptInviteClientURL": "https://app.example.com/invite-accept"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required

Email address of the user to register.

Example:

"user@example.com"

sendInviteEmail
boolean | null
default:false

When true, sends an invite email to the user after registration.

skipIfUserExists
boolean | null
default:false

When true, silently skips registration if the user already exists instead of returning an error.

dryRun
boolean | null
default:false

When true, validates the request without persisting changes.

acceptInviteClientURL
string | null

URL the user is redirected to when they accept the invite. Required when sendInviteEmail is true.

Example:

"https://app.example.com/invite-accept"

Response

The user has been successfully registered.

The response is of type RegisterUsersResponse · object.